Build #8 for polyseq-0.1.2.1

[all reports]

Package polyseq-0.1.2.1
Install DependencyFailed free-theorems-0.3.2.0
Docs NotTried
Tests NotTried
Time submitted 2016-12-28 21:53:45.777494 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies array-0.5.1.1, base-4.9.0.0, bytestring-0.10.8.1, cgi-3001.3.0.2, containers-0.5.7.1, free-theorems-0.3.2.0, haskell-src-1.0.2.0, mtl-2.2.1, network-2.6.3.1, old-locale-1.0.0.7, old-time-1.1.0.3, parsec-3.1.11, pretty-1.1.3.3, syb-0.6, utf8-string-1.0.1.1, xhtml-3000.2.1, cgi-3001.3.0.2, free-theorems-0.3.2.0, utf8-string-1.0.1.1, xhtml-3000.2.1
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring mtl-2.2.1...
Configuring network-2.6.3.1...
Building mtl-2.2.1...
Building network-2.6.3.1...
Installed mtl-2.2.1
Configuring old-locale-1.0.0.7...
Building old-locale-1.0.0.7...
Configuring stm-2.4.4.1...
Installed old-locale-1.0.0.7
Building stm-2.4.4.1...
Configuring syb-0.6...
Installed stm-2.4.4.1
Building syb-0.6...
Configuring transformers-compat-0.5.1.4...
Installed network-2.6.3.1
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed transformers-compat-0.5.1.4
Building utf8-string-1.0.1.1...
Configuring text-1.2.2.1...
Installed syb-0.6
Building text-1.2.2.1...
Installed utf8-string-1.0.1.1
Configuring exceptions-0.8.3...
Building exceptions-0.8.3...
Configuring old-time-1.1.0.3...
Installed exceptions-0.8.3
Building old-time-1.1.0.3...
Configuring haskell-src-1.0.2.0...
Installed old-time-1.1.0.3
Building haskell-src-1.0.2.0...
Installed text-1.2.2.1
Configuring parsec-3.1.11...
Building parsec-3.1.11...
Configuring polyparse-1.12...
Installed parsec-3.1.11
Building polyparse-1.12...
Installed haskell-src-1.0.2.0
Configuring multipart-0.1.2...
Building multipart-0.1.2...
Configuring network-uri-2.6.1.0...
Installed multipart-0.1.2
Building network-uri-2.6.1.0...
Installed polyparse-1.12
Configuring cpphs-1.20.2...
Building cpphs-1.20.2...
Installed network-uri-2.6.1.0
Configuring cgi-3001.3.0.2...
Building cgi-3001.3.0.2...
Installed cgi-3001.3.0.2
Installed cpphs-1.20.2
Configuring haskell-src-exts-1.19.1...
Building haskell-src-exts-1.19.1...
Installed haskell-src-exts-1.19.1
Configuring free-theorems-0.3.2.0...
Building free-theorems-0.3.2.0...
Failed to install free-theorems-0.3.2.0
Build log ( /home/builder/.cabal/logs/free-theorems-0.3.2.0.log ):
cabal: Entering directory '/tmp/cabal-tmp-28040/free-theorems-0.3.2.0'
Configuring free-theorems-0.3.2.0...
Building free-theorems-0.3.2.0...
Preprocessing library free-theorems-0.3.2.0...

src/Language/Haskell/FreeTheorems/Theorems/Simplify.hs:1:16: warning:
    -fglasgow-exts is deprecated: Use individual extensions instead
[ 1 of 20] Compiling Language.Haskell.FreeTheorems.PrettyBase ( src/Language/Haskell/FreeTheorems/PrettyBase.hs, dist/build/Language/Haskell/FreeTheorems/PrettyBase.o )
[ 2 of 20] Compiling Language.Haskell.FreeTheorems.NameStores ( src/Language/Haskell/FreeTheorems/NameStores.hs, dist/build/Language/Haskell/FreeTheorems/NameStores.o )
[ 3 of 20] Compiling Language.Haskell.FreeTheorems.LanguageSubsets ( src/Language/Haskell/FreeTheorems/LanguageSubsets.hs, dist/build/Language/Haskell/FreeTheorems/LanguageSubsets.o )
[ 4 of 20] Compiling Language.Haskell.FreeTheorems.BasicSyntax ( src/Language/Haskell/FreeTheorems/BasicSyntax.hs, dist/build/Language/Haskell/FreeTheorems/BasicSyntax.o )
[ 5 of 20] Compiling Language.Haskell.FreeTheorems.PrettyTypes ( src/Language/Haskell/FreeTheorems/PrettyTypes.hs, dist/build/Language/Haskell/FreeTheorems/PrettyTypes.o )

src/Language/Haskell/FreeTheorems/PrettyTypes.hs:238:1: warning: [-Wtabs]
    Tab character found here.
    Please use spaces instead.
[ 6 of 20] Compiling Language.Haskell.FreeTheorems.Theorems ( src/Language/Haskell/FreeTheorems/Theorems.hs, dist/build/Language/Haskell/FreeTheorems/Theorems.o )
[ 7 of 20] Compiling Language.Haskell.FreeTheorems.Theorems.Simplify ( src/Language/Haskell/FreeTheorems/Theorems/Simplify.hs, dist/build/Language/Haskell/FreeTheorems/Theorems/Simplify.o )

src/Language/Haskell/FreeTheorems/Theorems/Simplify.hs:4:1: warning: [-Wtabs]
    Tab character found here, and in 27 further locations.
    Please use spaces instead.
[ 8 of 20] Compiling Language.Haskell.FreeTheorems.ValidSyntax ( src/Language/Haskell/FreeTheorems/ValidSyntax.hs, dist/build/Language/Haskell/FreeTheorems/ValidSyntax.o )
[ 9 of 20] Compiling Language.Haskell.FreeTheorems.Syntax ( src/Language/Haskell/FreeTheorems/Syntax.hs, dist/build/Language/Haskell/FreeTheorems/Syntax.o )
[10 of 20] Compiling Language.Haskell.FreeTheorems.Frontend.Error ( src/Language/Haskell/FreeTheorems/Frontend/Error.hs, dist/build/Language/Haskell/FreeTheorems/Frontend/Error.o )

src/Language/Haskell/FreeTheorems/Frontend/Error.hs:66:5: error:
    • Non type-variable argument
        in the constraint: Control.Monad.Writer.Class.MonadWriter [Doc] m
      (Use FlexibleContexts to permit this)
    • When checking the inferred type
        doCheck :: forall (m :: * -> *).
                   Control.Monad.Writer.Class.MonadWriter [Doc] m =>
                   [a] -> a -> m [a]
      In an equation for ‘foldChecks’:
          foldChecks check
            = foldM doCheck []
            where
                doCheck xs x
                  = case getError (check x) of {
                      Nothing -> return (xs ++ ...)
                      Just e -> tell ... >> return xs }
cabal: Leaving directory '/tmp/cabal-tmp-28040/free-theorems-0.3.2.0'
cabal: Error: some packages failed to install:
free-theorems-0.3.2.0 failed during the building phase. The exception was:
ExitFailure 1
polyseq-0.1.2.1 depends on free-theorems-0.3.2.0 which failed to install.